#include "key.h"
#include "delay.h"

//按键初始化函数 
void KEY_Init(void)
{
	
	GPIO_InitTypeDef GPIO_InitStructure;

 	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOB,ENABLE);//使能PORTB时钟
	
	GPIO_PinRemapConfig(GPIO_Remap_SWJ_JTAGDisable, ENABLE);//关闭jtag，使能SWD，可以用SWD模式调试

	GPIO_InitStructure.GPIO_Pin  = GPIO_Pin_0|GPIO_Pin_1|GPIO_Pin_2|GPIO_Pin_3|GPIO_Pin_4;//PB0~4
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_IPU; //设置成上拉输入
 	GPIO_Init(GPIOB, &GPIO_InitStructure);
} 


//按键处理函数
//返回按键值
//mode:0,不支持连续按;1,支持连续按;
u8 KEY_Scan(u8 mode)
{	 
	static u8 key_up=1;//按键按松开标志
	if(mode)key_up=1;  //支持连按		  
	if(key_up&&(KEY_J5==0||KEY_J6==0||KEY_J7==0||KEY_J8==0||KEY_J11==0))
	{
		delay_ms(10);//去抖动 
		key_up=0;
		if(KEY_J5 == 0)return J5_PRES;
		else if(KEY_J6 == 0)return J6_PRES;
		else if(KEY_J7 == 0)return J7_PRES;
		else if(KEY_J8 == 0)return J8_PRES;
		else if(KEY_J11 == 0)return J11_PRES; 
	}else if(KEY_J5==1&&KEY_J6==1&&KEY_J7==1&&KEY_J8==1&&KEY_J11==1)key_up=1; 	     
	return 0;// 无按键按下
}
